Subject: Re: [PATCHv2 net-next-2.6 0/5] XFRM,IPv6: Removal of RH2/HAO from IPsec-protected MIPv6 traffic

From: [email-masked] (Arnaud Ebalard)
Date: Tue, 28 Sep 2010 23:33:16 +0200

Hi,

David Miller <[email-masked]> writes:

> Try again, this time with ipv6 modular:
>
> net/built-in.o: In function `xfrm_input_addr_check':
> /home/davem/src/GIT/net-next-2.6/net/xfrm/xfrm_input.c:115: undefined reference to `xfrm6_input_addr_check'
>
> You can't put xfrm6_input_addr_check into the ipv6.o object build if you want to
> call it from the generic xfrm stack which is always built statically.
>
> Put this and xfrm4_input_addr_check where it belongs, as an afinfo->op()

Before following the (dumb) #ifdef path, I was about to do that but
worried about the penalty of the additional xfrm_state_get/put_afinfo()
calls on each packet I was about to add. Should I just reduce my amount
of coffee or is it a valid concern?

Cheers,

a+